Bug 1024568 - chrony does not obtain DHCP NTP server address
chrony does not obtain DHCP NTP server address
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: chrony (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-29 20:52 EDT by Darren
Modified: 2014-06-16 21:23 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:31:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darren 2013-10-29 20:52:11 EDT
Description of problem:
I have upgraded from chrony-1.27-0.5.pre1.git1ca844.fc18.x86_64 to 1.29. The dhclient scripts runs via NetworkManager-dispatcher which in turn runs /etc/dhcp/dhclient.d/chrony.sh
This scripts normally creates both /var/lib/dhclient/chrony.added_servers and  chrony.servers.eth0.
In version 1.29 only chrony.servers.eth0 is created. This results in chronyc not displaying any sources.
There seems to be an issue with the chrony-helper scripts.
 


Version-Release number of selected component (if applicable):
chrony.x86_64                       1.29-1.fc18 

How reproducible:
Very


Steps to Reproduce:
1. reboot or systemctl restart NetworkManager
2. chronyc sources
3.

Actual results:
chronyc sources
210 Number of sources = 1
MS Name/IP address         Stratum Poll Reach LastRx Last sample
===============================================================================


Expected results:
210 Number of sources = 1
MS Name/IP address         Stratum Poll Reach LastRx Last sample
===============================================================================
^* csu-virt.site04.exelis.sy     9  10   377   652   +334us[ +360us] +/-  448us


Additional info:
Comment 1 Miroslav Lichvar 2013-10-30 04:28:20 EDT
That's odd. There were no changes in the chrony dhclient script between 1.27-0.5.pre1.git1ca844.fc18 and 1.29-1.fc18.

Are there any servers in the chrony.servers.eth0 file? If there are, can you please try running "bash -x /usr/libexec/chrony-helper add-dhclient-servers" and attach the output here?
Comment 2 Darren 2013-10-31 18:22:49 EDT
es I think NM is working fine as if I rm -f /var/lib/dhclient/chrony.* and then systemctl restart NetworkManager I get cat /var/lib/dhclient/chrony.servers.eth0 with a valid address.
I need to check what openvpn actually does. I have selinux disabled and re-tested with the firewall disabled and it still does not work.
if I bash -x /usr/libexec/chrony-helper add-dhclient-servers
+ chronyc=/usr/bin/chronyc
+ dhclient_servers='/var/lib/dhclient/chrony.servers.*'
+ dhclient_added_servers=/var/lib/dhclient/chrony.added_servers
+ service_name=chronyd.service
+ case "$1" in
+ add_dhclient_servers
+ shopt -s nullglob
+ servers_files=($dhclient_servers)
+ shopt -u nullglob
+ ((  1  ))
++ cat /var/lib/dhclient/chrony.added_servers
++ read server serverargs
++ cat /var/lib/dhclient/chrony.servers.eth0
++ chrony_command 'add server 10.248.4.14 '
++ read server serverargs
+ added_servers=
+ update_dhclient_added_servers ''
++ sort -u
++ echo ''
+ new_servers=
++ cat /var/lib/dhclient/chrony.added_servers
+ old_servers=
+ '[' '' = '' ']'
+ return 0
+ exit 0
The added_servers= is empty whereas with 1.27 chrony the added_servers=10.248.4.14.


To add confusion if I upgrade from a working 1.27 to 1.29 and delete the dhclient files and restart NM and chrony the system works. Could chrony.keys have anyrhing to do with it?
Note the PC is a kickstart image from a cobbler server (time server) using the latest FC18 packages. So downgrading to 1.27 and then going back to 1.29 seems to fix whatever is going wrong.
Comment 3 Miroslav Lichvar 2013-11-01 04:27:15 EDT
It looks like "chrony_command 'add server 10.248.4.14 '" is failing. One of the reasons could be missing command key in the chrony.keys file. The key used to be generated by the chrony-helper script, but with 1.28 and later it's generated by chronyd itself on first start.

Can you please check that:
- chrony.conf contains the generatecommandkey directive
- there are no error messages in the system log from chronyd about permission problems, etc
- there is a key with id 1 in chrony.keys
- chronyc -a -m "add server 10.248.4.14" works
Comment 4 Fedora End Of Life 2013-12-21 09:43:23 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2014-02-05 17:31:02 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Darren 2014-06-16 21:23:35 EDT
I am happy to ignore this as I have moved to fedora 20 and the issue does not exist

Note You need to log in before you can comment on or make changes to this bug.